/*
 *
 * fixednums5x10
 *
 * created with FontCreator
 * written by F. Maximilian Thiele
 *
 * http://www.apetech.de/fontCreator
 * me@apetech.de
 *
 * File Name           : fixednums5x10.h
 * Date                : 14.09.2013
 * Font size in bytes  : 1302
 * Font width          : 5
 * Font height         : -16
 * Font first char     : 43
 * Font last char      : 59
 * Font used chars     : 16
 *
 * The font data are defined as
 *
 * struct _FONT_ {
 *     uint16_t   font_Size_in_Bytes_over_all_included_Size_it_self;
 *     uint8_t    font_Width_in_Pixel_for_fixed_drawing;
 *     uint8_t    font_Height_in_Pixel_for_all_characters;
 *     unit8_t    font_First_Char;
 *     uint8_t    font_Char_Count;
 *
 *     uint8_t    font_Char_Widths[font_Last_Char - font_First_Char +1];
 *                  // for each character the separate width in pixels,
 *                  // characters < 128 have an implicit virtual right empty row
 *
 *     uint8_t    font_data[];
 *                  // bit field of all characters
 */

#include <inttypes.h>
#include <avr/pgmspace.h>

#ifndef FIXEDNUMS5X10_H
#define FIXEDNUMS5X10_H

static uint8_t fixednums5x10[] PROGMEM = {
    0x0, 0x0, // size
    5, // width
    10, // height
    '+', // first char
    16, // char count
    
    // font data
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 43
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 44
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 45
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 46
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 47
    0xFE, 0xFF, 0x03, 0xFF, 0xFE, 0x01, 0x03, 0x03, 0x03, 0x01, // 48
    0x04, 0x06, 0xFF, 0xFF, 0x00, 0x03, 0x03, 0x03, 0x03, 0x03, // 49
    0x06, 0xC7, 0xF3, 0x3F, 0x0E, 0x03, 0x03, 0x03, 0x03, 0x03, // 50
    0x86, 0x87, 0x33, 0xFF, 0xCE, 0x01, 0x03, 0x03, 0x03, 0x01, // 51
    0xF0, 0xFC, 0xCE, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x03, 0x03, // 52
    0x1F, 0x1F, 0x1B, 0xFB, 0xF3, 0x03, 0x03, 0x03, 0x03, 0x01, // 53
    0xFE, 0xFF, 0x33, 0xF7, 0xE6, 0x01, 0x03, 0x03, 0x03, 0x01, // 54
    0x07, 0x87, 0xF3, 0x7F, 0x0F, 0x00, 0x03, 0x03, 0x00, 0x00, // 55
    0xCE, 0xFF, 0x33, 0xFF, 0xCE, 0x01, 0x03, 0x03, 0x03, 0x01, // 56
    0x9E, 0xBF, 0x33, 0xFF, 0xFE, 0x01, 0x03, 0x03, 0x03, 0x01, // 57
    0x00, 0xCC, 0xCC, 0xCC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 // 58
    
};

#endif
